classification
Title: Fix OrderedDict.__sizeof__
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: eric.snow, loewis, python-dev, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-12-20 08:52 by serhiy.storchaka, last changed 2015-12-22 06:24 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
odict_sizeof.patch serhiy.storchaka, 2015-12-20 08:52 review
Messages (3)
msg256754 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-12-20 08:52
Proposed patch correctly calculates the size of OrderedDict (the size of an instance dict should not be counted) and adds exact tests for sizeof.
msg256814 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2015-12-21 23:12
LGTM

Thanks for doing that.  It's definitely cleaner. :)
msg256827 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-22 06:22
New changeset 0a2ea08fcebe by Serhiy Storchaka in branch '3.5':
Issue #25914: Fixed and simplified OrderedDict.__sizeof__.
https://hg.python.org/cpython/rev/0a2ea08fcebe

New changeset 624316fbb39d by Serhiy Storchaka in branch 'default':
Issue #25914: Fixed and simplified OrderedDict.__sizeof__.
https://hg.python.org/cpython/rev/624316fbb39d
History
Date User Action Args
2015-12-22 06:24:20serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: commit review -> resolved
2015-12-22 06:22:53python-devsetnosy: + python-dev
messages: + msg256827
2015-12-21 23:12:48eric.snowsetmessages: + msg256814
stage: patch review -> commit review
2015-12-20 09:46:31serhiy.storchakasetnosy: + loewis, rhettinger, eric.snow
2015-12-20 08:52:19serhiy.storchakacreate